Up

# NSColorWell

### Authors

Scott Christley (`scottc@net-community.com`)
Felipe A. Rodriguez (`far@ix.netcom.com`)

> Control for selecting and display a single color value.

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSColorWell class

## NSColorWell : NSControl

> Declared in:
>   AppKit/NSColorWell.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -activate:
- -color
- -deactivate
- -drawWellInside:
- -encodeWithCoder:
- -initWithCoder:
- -isActive
- -isBordered
- -setBordered:
- -setColor:
- -takeColorFrom:

### activate:

- (void) activate: (BOOL)exclusive;

Description forthcoming.

### color

- (NSColor*) color;

Description forthcoming.

### deactivate

- (void) deactivate;

Description forthcoming.

### drawWellInside:

- (void) drawWellInside: (NSRect)insideRect;

Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;

Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;

Description forthcoming.

### isActive

- (BOOL) isActive;

Description forthcoming.

### isBordered

- (BOOL) isBordered;

Description forthcoming.

### setBordered:

- (void) setBordered: (BOOL)bordered;

Description forthcoming.

### setColor:

- (void) setColor: (NSColor*)color;

Description forthcoming.

### takeColorFrom:

- (void) takeColorFrom: (id)sender;

Description forthcoming.

Up